petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscCommBuildTwoSidedSetType

set algorithm to use when building two-sided communication

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscCommBuildTwoSidedSetType(MPI_Comm comm,PetscBuildTwoSidedType twosided)

Logically Collective Many br

### Input Arguments

| comm | - PETSC_COMM_WORLD Many br
| twosided | - algorithm to use in subsequent calls to PetscCommBuildTwoSided() Many br

Many br

### Note

This option is currently global, but could be made per-communicator. Many br

### See Also

PetscCommBuildTwoSided(), PetscCommBuildTwoSidedGetType()

Level:developer
Location:src/sys/utils/mpits.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages